Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001991TestLinkReportspublic2009-01-17 09:002009-01-20 05:19
Reportermirosvad 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 2 
Fixed in Version1.8 RC 3 
Summary0001991: XLS import function create_xml_tcspec_from_xls in tclimport.php - incorrect use of variables
Descriptionline 520 $steps = str_replace('…',"...",$xls_rows[$idx][IDX_COL_STEPS]);
line 521 $steps = htmlspecialchars(iconv("CP1252","UTF-8",$xls_rows[$idx][IDX_COL_STEPS]));

line 521 have to be:

$steps = htmlspecialchars(iconv("CP1252","UTF-8",$steps));

line 524 $expresults = str_replace('…',"...",$xls_rows[$idx][IDX_COL_EXPRESULTS]);
line 525 $expresults = htmlspecialchars(iconv("CP1252","UTF-8",$xls_rows[$idx][IDX_COL_EXPRESULTS]));

line 525 have to be:

$expresults = htmlspecialchars(iconv("CP1252","UTF-8",$expresults));

Why is not the str_replace('…',"...", xxx); function used also for name and summary variables (line 514, 517)?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3
PHP Version5.2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0001519closedtoshi Excel Importing Misses Multi-byte Charactors 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-01-17 09:00 mirosvad New Issue
2009-01-17 09:00 mirosvad Browser => Firefox 3
2009-01-17 09:00 mirosvad PHP Version => 5.2
2009-01-18 01:45 fman Status new => resolved
2009-01-18 01:45 fman Fixed in Version => next development 1.8 RC3
2009-01-18 01:45 fman Resolution open => fixed
2009-01-18 01:45 fman Assigned To => fman
2009-01-20 05:19 mhavlat Status resolved => closed
2009-04-02 08:06 toshi Relationship added related to 0001519



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker